Mandates

Get a mandate and check its integrity

GET
/api/mandates/{mandateId}

The mandate, its status, the search it permits, and a fresh check of its digest, signature and event chain.

Path Parameters

mandateId*string

Mandate id.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/api/mandates/2f4069f0-2367-4f08-acc6-d9cf1cf6669a"
{  "mandate": {    "version": 1,    "id": "2f4069f0-2367-4f08-acc6-d9cf1cf6669a",    "createdAt": "2026-10-20T04:18:17.928Z",    "expiresAt": "2026-11-03T04:18:17.928Z",    "shopperKey": "aHBQ5B27O2BiDV0oWgOigpsXZKjOfhcYYMch5pZ5H0c=",    "request": "Buy me black men's running shoes, size 10, under $120",    "intent": {      "item": "running shoes",      "category": "running shoes",      "quantity": 1,      "maxPrice": 120,      "currency": "USD",      "attributes": {        "size": "10",        "color": "black"      },      "gender": "male",      "mustAsk": []    }  },  "status": "FULFILLED",  "search": {    "query": "black running shoes",    "category": "running shoes",    "maxPrice": 120,    "color": "black",    "gender": "male"  },  "integrity": {    "digestMatches": true,    "signatureValid": true,    "chainIntact": true  },  "events": [    {      "seq": 0,      "type": "MANDATE_SIGNED",      "createdAt": "2026-10-20T04:18:18.268Z",      "hash": "91b50424c310c5106b3c9873427ada9d3ffccf45c9834d1c2df342316b5a25d8"    },    {      "seq": 1,      "type": "CART_PROPOSED",      "createdAt": "2026-10-20T04:18:18.832Z",      "hash": "89f7646662727852af27cbdf1e326a17b6cc76c2bd462031bbf8f1f29622e323"    }  ]}